import 'package:ernaehrung/android/components/food_list_component.dart';
import 'package:flutter/material.dart';
import '../../components/diet_chart_component.dart';
import '../../components/statistics_circular_indicator_component.dart';

class TodayPage extends StatefulWidget {
  final String title;
  final Color backgroundColor = const Color(0xff47a44b);

  const TodayPage({Key? key, required this.title}) : super(key: key);

  @override
  State<TodayPage> createState() => _TodayPageState();
}

class _TodayPageState extends State<TodayPage> {


  @override
  Widget build(BuildContext context) {
    return Scaffold(
        body: SizedBox(
      width: double.infinity,
      height: double.infinity,
      child: Container(
          decoration: const BoxDecoration(
              gradient: LinearGradient(
            colors: [Color(0xff000000), Color(0xff47a44b)],
            stops: [0.1, 5],
            begin: Alignment.bottomCenter,
            end: Alignment.topCenter,
          )),
          child: SingleChildScrollView(
            padding: const EdgeInsets.symmetric(horizontal: 5, vertical: 0),
            child: Column(
              children: [
                StatisticsPercentComponent(300, 100, 400),
                DietChatComponent(1500),
                const FoodComponent(),
              ],
            ),
          )),
    ));
  }
}
